# Method: users.photos.patch

Adds a photo for the user. This method supports [patch semantics](https://developers.google.com/workspace/admin/directory/v1/guides/performance#patch).

### HTTP request

`PATCH https://admin.googleapis.com/admin/directory/v1/users/{userKey}/photos/thumbnail`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey` | `string` Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/UserPhoto`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/UserPhoto`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.user`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).